Package org.springframework.security.web

# Interface RedirectStrategy

All Known Implementing Classes:
  `DefaultRedirectStrategy`

public interface RedirectStrategy
Encapsulates the redirection logic for all classes in the framework which perform redirects.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`void`
`sendRedirect(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, String url)`
Performs a redirect to the supplied URL

## Method Details

### sendRedirect

void sendRedirect(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, String url) throws IOException
Performs a redirect to the supplied URL

Parameters:
  `request` - the current request
  `response` - the response to redirect
  `url` - the target URL to redirect to, for example "/login"
Throws:
  `IOException`